commit:     1f191114218a625c61b99c04ba482c1d18ca9dbe
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 15 05:49:24 2016 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct 15 05:49:24 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1f191114

www-apps/nanoc: add 4.3.5

Package-Manager: portage-2.3.0

 www-apps/nanoc/Manifest           |  1 +
 www-apps/nanoc/nanoc-4.3.5.ebuild | 74 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/www-apps/nanoc/Manifest b/www-apps/nanoc/Manifest
index 338177c..a8f3879 100644
--- a/www-apps/nanoc/Manifest
+++ b/www-apps/nanoc/Manifest
@@ -1,3 +1,4 @@
 DIST nanoc-4.2.4.gem 174080 SHA256 
520f7809dd728b46c6d1fca12f4ea7415a12473f1ad3de3468e635f7f7d546ad SHA512 
62154a33802e6dac251945a2475eb9b4eae5fa7a1dc93173ea21fc950a97bf8b26ef86f652f502fe97e7a63f788a94c896f9a6cbab7d46b4562be568a9413978
 WHIRLPOOL 
723fd31d16756ae47201a2cf674695a6b8b13e3f8952f3e558bea34de31235d1faedb4561d0b8ad73dcd7ed384679a04af1b2a83fe2aa9ff208d80e1feb281cd
 DIST nanoc-4.3.2.gem 167424 SHA256 
c0f7a8b3da7847632d78d9c1313289125ccce485990b7d86da9f1be49538e42f SHA512 
6a9c6d2b1de7662d07667b0701ed407eddec6719f32bec52d2b0ba4d011e44d768dd9738706b8329815368034972b1f4439c3fcf190c33234218e2e24bfffd03
 WHIRLPOOL 
ddde21e86f70d7fa3c44dcc6d8740e66ce2426f1c8a9f598256f4f921952df1fba75c0389f61d8947fbe0ee5e4ac5371cf67b2da3ad1bef240757d59ca8d165b
 DIST nanoc-4.3.3.gem 167936 SHA256 
84143dfb77c2d0386b351421a25e82ce9da197f63604b8c7d015587bee41b4ce SHA512 
183969c9f53404f652e93c757d083654633add5a42302194e5a3a907519e88ed724b56ed0ee8110f390651e40468078a883b85ecad57f6d5f77caed8d57e55dd
 WHIRLPOOL 
0205b595b98922267d0c2854a8dbafbb4f303a7dd69e4b7b07202ad8684427a78861ddc07bdecae18497d39453ebf757252a2782f6d0003eff95739cb0ee57f2
+DIST nanoc-4.3.5.gem 168960 SHA256 
039a42f01b1b43c7ad97cfcb4d5d4e0389811ec8d42171debd33821c1842be96 SHA512 
d1d4aaab010c39e607035b51b2ed1e43ff627b925b29514aea5346f5f6cf6235d7d5845cac35a08d691de46af561670d66aae733ec72150ce0ed4dff9357ec84
 WHIRLPOOL 
c7debe62ca7d71d82812ae9ebc2f6f4b98beffccc26efb0f2289e3b5be7d035000e13940aa94c39769181c7776093110ede71a9fd4a1950ee0c049c2ba390047

diff --git a/www-apps/nanoc/nanoc-4.3.5.ebuild 
b/www-apps/nanoc/nanoc-4.3.5.ebuild
new file mode 100644
index 00000000..c5a5e08
--- /dev/null
+++ b/www-apps/nanoc/nanoc-4.3.5.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="ChangeLog NEWS.md README.md"
+
+RUBY_FAKEGEM_TASK_DOC="doc"
+RUBY_FAKEGEM_TASK_TEST="test:all"
+
+inherit ruby-fakegem
+
+DESCRIPTION="nanoc is a simple but very flexible static site generator written 
in Ruby"
+HOMEPAGE="http://nanoc.ws/";
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="${IUSE} minimal"
+
+DEPEND+="test? ( app-text/asciidoc app-text/highlight )"
+
+ruby_add_rdepend "!minimal? (
+       dev-ruby/mime-types:*
+       dev-ruby/rack:*
+       www-servers/adsf
+)
+       >=dev-ruby/cri-2.3:0
+       =dev-ruby/hamster-3*
+       dev-ruby/ref:2"
+
+ruby_add_bdepend "test? (
+       >=dev-ruby/mocha-0.13
+       dev-ruby/minitest
+       =dev-ruby/rdoc-4*
+       dev-ruby/systemu
+       dev-ruby/vcr
+       dev-ruby/webmock
+       dev-ruby/yard
+)
+doc? (
+       dev-ruby/kramdown
+       dev-ruby/rdiscount
+       dev-ruby/yard
+)"
+
+all_ruby_prepare() {
+       use doc || use test || (rm tasks/doc.rake || die)
+
+       if use test ; then
+               # Avoid dependency on coveralls.
+               sed -i -e '/coverall/I s:^:#:' tasks/test.rake || die
+       else
+               rm -f tasks/test.rake || die
+       fi
+
+       # Avoid unneeded development dependencies
+       rm -f tasks/rubocop.rake || die
+       sed -i -e '/simplecov/I s:^:#:' test/helper.rb || die
+
+       # Avoid non-optional tests for w3c_validators which we don't have
+       # packaged and which require network access.
+       rm test/extra/checking/checks/test_{css,html}.rb || die
+
+       # Skip tests that produce slightly different output.
+       sed -i -e '/test_rouge/,418 s:^:#:' 
test/filters/test_colorize_syntax.rb || die
+       sed -i -e '/test_disallow_routes_not_starting_with_slash/,/^  end/ 
s:^:#:' test/base/test_compiler.rb || die
+}
+
+each_ruby_test() {
+       RUBYLIB="${S}/lib" ${RUBY} -S rake test:all || die
+}

Reply via email to